import 'dart:async';

import 'package:flutter/services.dart';

class RwBarcodeScanner {
  static MethodChannel _channel =
      MethodChannel('com.vieaura.plugins/rw_barcode_scanner');

  ///
  /// Scans barcode using built-in applet with [scanType] and [returns] its contents.
  /// @param text scan type to be sent
  static Future<String> scan(String text) async {
    return await _channel.invokeMethod('scan', {'scanType': text});
  }
}
